SCRIPTINDEX(1)

NAME
scriptindex - index arbitrary data as described by an index script

SYNOPSIS
scriptindex [OPTIONS] DATABASE INDEXER_SCRIPT [INPUT_FILE]...

DESCRIPTION
scriptindex - index arbitrary data as described by an index script

Creates or updates a Xapian database with the data from the input files listed on the command line. If no files are specified, data is read from stdin.

See https://xapian.org/docs/omega/scriptindex.html for documentation of the format for INDEXER_SCRIPT.

OPTIONS

-v, --verbose
    display additional messages to aid debugging

--overwrite
    create the database anew (the default is to update if the database already exists)

-s, --stemmer=LANG
    set the stemming language (default: english). Possible values: arabic armenian basque catalan danish dutch dutch_porter earlyenglish english esperanto estonian finnish french german greek hindi hungarian indonesian irish italian lithuanian lovins nepali norwegian polish porter portuguese romanian russian serbian spanish swedish tamil turkish yiddish (pass 'none' to disable stemming)

-h, --help
    display this help and exit

-V, --version
    output version information and exit

Please report bugs at: https://xapian.org/bugs